ChartDirector Ver 4.1 (PHP Edition Edition)

BarLayer.setOverlapRatio

Usage

setOverlapRatio(overlapRatio [, firstOnTop ])

Description

Sets overlapping among bars in within a bar group in a multi-bar chart.
By default, in a multi-bar chart, the bars are not overlapped, but are separated with a gap in between. This method can be used to set an alternative style, where the bars partially overlap.

Arguments

Argument | Default | Description
--- | --- | ---
overlapRatio | (Mandatory) | The overlapping ratio between adjacent bars in a bar group. Should be between 0 to 1.
firstOnTop | true (non-zero) | If this value is true (non-zero), the first data set will be on top of the second data during overlapping, and the second data set will be on top of the third data set, and so on. If this value is false (zero), then the overlapping order will be reversed.

Return Value

None

© 2006 Advanced Software Engineering Limited. All rights reserved.